package logging;

public interface Logger {
    void debug(String msg);
    void info(String msg);
    void warn(String msg);
    void error(String msg);

    static Logger getLogger(Class<?> clazz) {
        return LoggerFactory.createLogger(clazz); // Подменяется реализацией
    }
}
